at.chipkarte.client.dbas.soap

## Interface IDbasService

-     public interface IDbasService

  Dieses Service stellt die Funktionalitäten des Dokumentationsblatt Annahme Service (DBAS) Version 13 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateDatenblattErgebnis` | `createDatenblattAllgemeinesProgramm(String dialogId, String cardToken, DatenblattAllgemeinesProgramm datenblattAllgemeinesProgramm)` Mit dieser Funktion wird das Datenblatt 'Befundblatt Allgemeines Programm', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.
    `CreateDatenblattErgebnis` | `createDatenblattDmpDm2(String dialogId, String cardToken, DatenblattDmpDm2 datenblattDmpDm2)` Mit dieser Funktion wird das Datenblatt 'Dokumentationsbogen Therapie Aktiv DM2', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.
    `Quittung` | `createDatenblattKoloskopie(String dialogId, String cardToken, DatenblattKoloskopie datenblattKoloskopie)` Mit dieser Funktion wird das Datenblatt 'Befundblatt Koloskopie', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.
    `Quittung` | `createDatenblattPapAbstrich(String dialogId, String cardToken, DatenblattPapAbstrich datenblattPapAbstrich)` Mit dieser Funktion wird das Datenblatt 'Dokumentationsblatt PAP-Abstrich', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.
    `Quittung` | `createDatenblattQZKoloskopie(String dialogId, String cardToken, DatenblattKoloskopie datenblattKoloskopie, String untersuchungsdatum, Boolean forcedQZ)` Mit dieser Funktion wird das Datenblatt 'Qualitätszertifikat Koloskopie', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.
    `DmpData` | `searchDmpData(String dialogId, String cardToken, String datenblattTyp, String svNummer)` Mit dieser Funktion werden die Fachdaten (Patientendaten) für den angegebenen Datenblatttyp (DMP-Datenblätter) vom Server abgeholt.
    `KonsultationData` | `searchKonsultationData(String dialogId, String cardToken, String datenblattTyp, String svNummer)` Mit dieser Funktion werden die Fachdaten (Patientendaten und Konsultationen) für den angegebenen Datenblatttyp (VU-Datenblätter) vom Server abgeholt.
    `Quittung[]` | `searchQuittungen(String dialogId, QuittungSearchCriteria suchkriterien)` Mit dieser Funktion werden die Empfangsbestätigungen übertragener Datenblätter, die die Suchkriterien erfüllen, vom Server abgeholt.

- - ### Method Detail

    - #### searchKonsultationData

          KonsultationData searchKonsultationData(String dialogId,
                                                  String cardToken,
                                                  String datenblattTyp,
                                                  String svNummer)
                                           throws AccessException,
                                                  DialogException,
                                                  ServiceException,
                                                  DbasException,
                                                  DbasInvalidParameterException

      Mit dieser Funktion werden die Fachdaten (Patientendaten und Konsultationen) für den angegebenen Datenblatttyp (VU-Datenblätter) vom Server abgeholt.
      Können dabei die Patientendaten nicht ermittelt werden, so wird die entsprechende Exception geworfen. Sollten keine Konsultationen ermittelt werden können, so wird ein leeres Array von Konsultationen geliefert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `datenblattTyp` - Typ (Code) des Datenblatts.
        Der Parameter muss angegeben werden. Die möglichen Werte der VU-Datenblätter sind in `DatenblattConstants` definiert.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: maximal 10-stellig
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Returns:
        Liste passender Konsultationen und Patientendaten
      Throws:
        `DbasException` - `INVALID_VSNR`, `INTERNAL_ERROR`
        `DbasInvalidParameterException` - `DATENBLATT_TYP_INVALID`, `SV_NUMMER_INVALID`, `SVNR_MISSING_NO_ECARD` `DATENBLATT_TYP_REQUIRED`,
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### searchDmpData

          DmpData searchDmpData(String dialogId,
                                String cardToken,
                                String datenblattTyp,
                                String svNummer)
                         throws AccessException,
                                DialogException,
                                ServiceException,
                                DbasException,
                                DbasInvalidParameterException

      Mit dieser Funktion werden die Fachdaten (Patientendaten) für den angegebenen Datenblatttyp (DMP-Datenblätter) vom Server abgeholt. Dazu muss der SV-Patient beim Vertragspartner zum jeweiligen DMP-Programm eingeschrieben sein.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `datenblattTyp` - Typ (Code) des Datenblatts.
        Der Parameter muss angegeben werden. Die möglichen Werte der DMP-Datenblätter sind in `DatenblattConstants` definiert.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: maximal 10-stellig
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Returns:
        DMP-Daten des Patienten (Patientendaten und Datum der Ersteinschreibung im jeweiligen DMP)
      Throws:
        `DbasException` - `INVALID_VSNR`, `PERSON_NOT_IN_DMP`, `INTERNAL_ERROR`
        `DbasInvalidParameterException` - `DATENBLATT_TYP_INVALID`, `SV_NUMMER_INVALID`, `SVNR_MISSING_NO_ECARD` `DATENBLATT_TYP_REQUIRED`,
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### createDatenblattAllgemeinesProgramm

          CreateDatenblattErgebnis createDatenblattAllgemeinesProgramm(String dialogId,
                                                                       String cardToken,
                                                                       DatenblattAllgemeinesProgramm datenblattAllgemeinesProgramm)
                                                                throws AccessException,
                                                                       DialogException,
                                                                       ServiceException,
                                                                       DbasException,
                                                                       DbasEncryptionException,
                                                                       DbasInvalidParameterException

      Mit dieser Funktion wird das Datenblatt 'Befundblatt Allgemeines Programm', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen. Anschließend wird das Datenblatt als PDF aufbereitet.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `datenblattAllgemeinesProgramm` - Daten des zu übertragenden Datenblattes 'Befundblatt Allgemeines Programm'
      Returns:
        Empfangsbestätigung der erfolgreichen Übertragung inklusive Druckaufbereitung
      Throws:
        `DbasException` - `KONSULTATION_INVALID`, `CREATE_ABRECHNUNG_DATA_FAILED`, `INVALID_VSNR`, `NO_KEYS_FOUND`, `INVALID_KONSULTATION`, `INTERNAL_ERROR`, `CREATE_QUITTUNG_FAILED`
        `DbasEncryptionException` - `ENCRYPTION_ERROR`
        `DbasInvalidParameterException` - `VAMP_DATENBLATT_ALLGEMEINES_PROGRAMM_REQUIRED`, `VAMP_ANSCHRIFT_REQUIRED`, `VAMP_ANSCHRIFT_WRONG_FORMAT`, `VAMP_POSTLEITZAHL_REQUIRED`, `VAMP_POSTLEITZAHL_WRONG_FORMAT`, `VAMP_KOPFHALS_REQUIRED`, `VAMP_KOPFHALS_WRONG_FORMAT`, `VAMP_KOPFHALS_INVALID`, `VAMP_KOPFHALS_OHNE_BESONDERHEIT_INVALID`, `VAMP_HERZLUNGEGEFAESSE_REQUIRED`, `VAMP_HERZLUNGEGEFAESSE_WRONG_FORMAT`, `VAMP_HERZLUNGEGEFAESSE_INVALID`, `VAMP_HERZLUNGEGEFAESSE_OHNE_BESONDERHEIT_INVALID`, `VAMP_ABDOMEN_REQUIRED`, `VAMP_ABDOMEN_WRONG_FORMAT`, `VAMP_ABDOMEN_INVALID`, `VAMP_ABDOMEN_OHNE_BESONDERHEIT_INVALID`, `VAMP_WSGELENKE_REQUIRED`, `VAMP_WSGELENKE_WRONG_FORMAT`, `VAMP_WSGELENKE_INVALID`, `VAMP_WSGELENKE_OHNE_BESONDERHEIT_INVALID`, `VAMP_HAUT_REQUIRED`, `VAMP_HAUT_WRONG_FORMAT`, `VAMP_HAUT_INVALID`, `VAMP_HAUT_OHNE_BESONDERHEIT_INVALID`, `VAMP_HOERVERMINDERUNG_VORBEFUNDUNG_REQUIRED`, `VAMP_HOERVERMINDERUNG_VORBEFUNDUNG_INVALID`, `VAMP_HOERVERMINDERUNG_VORBEFUNDUNG_FORBIDDEN`, `VAMP_HOERVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_HOERVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_HOERVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_FORBIDDEN`, `VAMP_HOERVERMINDERUNG_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_HOERVERMINDERUNG_WEITERE_ABKLAERUNG_INVALID`, `VAMP_HOERVERMINDERUNG_WEITERE_ABKLAERUNG_FORBIDDEN`, `VAMP_SEHVERMINDERUNG_VORBEFUNDUNG_REQUIRED`, `VAMP_SEHVERMINDERUNG_VORBEFUNDUNG_INVALID`, `VAMP_SEHVERMINDERUNG_VORBEFUNDUNG_FORBIDDEN`, `VAMP_SEHVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_SEHVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_SEHVERMINDERUNG_NEUE_VERDACHTSDIAGNOSE_FORBIDDEN`, `VAMP_SEHVERMINDERUNG_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_SEHVERMINDERUNG_WEITERE_ABKLAERUNG_INVALID`, `VAMP_SEHVERMINDERUNG_WEITERE_ABKLAERUNG_FORBIDDEN`, `VAMP_GLAUKOM_RISIKOGRUPPE_REQUIRED`, `VAMP_GLAUKOM_RISIKOGRUPPE_INVALID`, `VAMP_GLAUKOM_RISIKOGRUPPE_FORBIDDEN`, `VAMP_GLAUKOM_VORBEFUNDUNG_REQUIRED`, `VAMP_GLAUKOM_VORBEFUNDUNG_INVALID`, `VAMP_GLAUKOM_VORBEFUNDUNG_FORBIDDEN`, `VAMP_GLAUKOM_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_GLAUKOM_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_GLAUKOM_NEUE_VERDACHTSDIAGNOSE_FORBIDDEN`, `VAMP_GLAUKOM_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_GLAUKOM_WEITERE_ABKLAERUNG_INVALID`, `VAMP_GLAUKOM_WEITERE_ABKLAERUNG_FORBIDDEN`, `VAMP_HOERENSEHEN_SONSTIGE_MASSNAHME_INVALID`, `VAMP_HOERENSEHEN_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_HOERENSEHEN_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_HOERENSEHEN_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_PARODONTITIS_REQUIRED`, `VAMP_PARODONTITIS_INVALID`, `VAMP_PARODONTITIS_BERATUNG_REQUIRED`, `VAMP_PARODONTITIS_BERATUNG_INVALID`, `VAMP_ABKLAERUNG_ZAHNARZT_REQUIRED`, `VAMP_ABKLAERUNG_ZAHNARZT_INVALID`, `VAMP_CHOLESTERIN_REQUIRED`, `VAMP_CHOLESTERIN_WRONG_FORMAT`, `VAMP_CHOLESTERIN_INVALID`, `VAMP_HDL_CHOLESTERIN_REQUIRED`, `VAMP_HDL_CHOLESTERIN_WRONG_FORMAT`, `VAMP_HDL_CHOLESTERIN_INVALID`, `VAMP_TRIGLYCERIDE_NUECHTERN_REQUIRED`, `VAMP_TRIGLYCERIDE_NUECHTERN_WRONG_FORMAT`, `VAMP_TRIGLYCERIDE_NUECHTERN_INVALID`, `VAMP_GAMMA_GT_REQUIRED`, `VAMP_GAMMA_GT_WRONG_FORMAT`, `VAMP_GAMMA_GT_INVALID`, `VAMP_ERY_REQUIRED`, `VAMP_ERY_WRONG_FORMAT`, `VAMP_ERY_INVALID`, `VAMP_ERY_FORBIDDEN`, `VAMP_HB_REQUIRED`, `VAMP_HB_WRONG_FORMAT`, `VAMP_HB_INVALID`, `VAMP_HB_FORBIDDEN`, `VAMP_HKT_REQUIRED`, `VAMP_HKT_WRONG_FORMAT`, `VAMP_HKT_INVALID`, `VAMP_HKT_FORBIDDEN`, `VAMP_LEUKOZYTEN_REQUIRED`, `VAMP_LEUKOZYTEN_INVALID`, `VAMP_GLUCOSE_REQUIRED`, `VAMP_GLUCOSE_INVALID`, `VAMP_NITRIT_REQUIRED`, `VAMP_NITRIT_INVALID`, `VAMP_EIWEISS_REQUIRED`, `VAMP_EIWEISS_INVALID`, `VAMP_BLUT_REQUIRED`, `VAMP_BLUT_INVALID`, `VAMP_UBG_REQUIRED`, `VAMP_UBG_INVALID`, `VAMP_LABOR_BEFUNDBESPRECHUNG_REQUIRED`, `VAMP_LABOR_BEFUNDBESPRECHUNG_INVALID`, `VAMP_LABOR_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_LABOR_WEITERE_ABKLAERUNG_INVALID`, `VAMP_LABOR_SONSTIGE_MASSNAHME_INVALID`, `VAMP_LABOR_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_LABOR_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_LABOR_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_BESTEHENDER_DIABETES_REQUIRED`, `VAMP_BESTEHENDER_DIABETES_INVALID`, `VAMP_BLUTZUCKER_NUECHTERN_REQUIRED`, `VAMP_BLUTZUCKER_NUECHTERN_WRONG_FORMAT`, `VAMP_BLUTZUCKER_NUECHTERN_INVALID`, `VAMP_BEURTEILUNG_BLUTZUCKER_REQUIRED`, `VAMP_BEURTEILUNG_BLUTZUCKER_INVALID`, `VAMP_DIABETES_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_DIABETES_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_DIABETES_BEFUNDBESPRECHUNG_REQUIRED`, `VAMP_DIABETES_BEFUNDBESPRECHUNG_INVALID`, `VAMP_DIABETES_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_DIABETES_WEITERE_ABKLAERUNG_INVALID`, `VAMP_DIABETES_THERAPIEFORTSETZUNG_AENDERUNG_REQUIRED`, `VAMP_DIABETES_THERAPIEFORTSETZUNG_AENDERUNG_INVALID`, `VAMP_DIABETES_SONSTIGE_MASSNAHME_INVALID`, `VAMP_DIABETES_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_DIABETES_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_DIABETES_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_KOERPERGROESSE_REQUIRED`, `VAMP_KOERPERGROESSE_WRONG_FORMAT`, `VAMP_KOERPERGROESSE_INVALID`, `VAMP_KOERPERGEWICHT_REQUIRED`, `VAMP_KOERPERGEWICHT_WRONG_FORMAT`, `VAMP_KOERPERGEWICHT_INVALID`, `VAMP_BEURTEILUNG_GEWICHT_REQUIRED`, `VAMP_BEURTEILUNG_GEWICHT_INVALID`, `VAMP_TAILLE_REQUIRED`, `VAMP_TAILLE_INVALID`, `VAMP_KOERPERLICHE_BEWEGUNG_REQUIRED`, `VAMP_KOERPERLICHE_BEWEGUNG_INVALID`, `VAMP_BERATUNG_BEWEGUNG_REQUIRED`, `VAMP_BERATUNG_BEWEGUNG_INVALID`, `VAMP_BERATUNG_ERNAEHRUNG_REQUIRED`, `VAMP_BERATUNG_ERNAEHRUNG_INVALID`, `VAMP_LEBENSTIL1_SONSTIGE_MASSNAHME_INVALID`, `VAMP_LEBENSTIL1_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_LEBENSTIL1_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_LEBENSTIL1_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_RAUCHEN_REQUIRED`, `VAMP_RAUCHEN_INVALID`, `VAMP_ALKOHOLFRAGEBOGEN_INVALID`, `VAMP_ERGEBNIS_ALKOHOL_WRONG_FORMAT`, `VAMP_ERGEBNIS_ALKOHOL_INVALID`, `VAMP_VORBEFUNDUNG_ALKOHOL_INVALID`, `VAMP_KURZINTERVENTION_RAUCHEN_REQUIRED`, `VAMP_KURZINTERVENTION_RAUCHEN_INVALID`, `VAMP_ENTWOEHUNGSPROGRAMM_RAUCHEN_REQUIRED`, `VAMP_ENTWOEHUNGSPROGRAMM_RAUCHEN_INVALID`, `VAMP_KURZINTERVENTION_ALKOHOL_REQUIRED`, `VAMP_KURZINTERVENTION_ALKOHOL_INVALID`, `VAMP_ENTWOEHUNGSPROGRAMM_ALKOHOL_REQUIRED`, `VAMP_ENTWOEHUNGSPROGRAMM_ALKOHOL_INVALID`, `VAMP_LEBENSTIL2_SONSTIGE_MASSNAHME_INVALID`, `VAMP_LEBENSTIL2_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_LEBENSTIL2_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_LEBENSTIL2_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_FAMILIAERE_BELASTUNG_REQUIRED`, `VAMP_FAMILIAERE_BELASTUNG_INVALID`, `VAMP_BEFUND_ANAMNESEBOGEN_REQUIRED`, `VAMP_BEFUND_ANAMNESEBOGEN_WRONG_FORMAT`, `VAMP_BEFUND_ANAMNESEBOGEN_INVALID`, `VAMP_BLUTDRUCK_SYS_REQUIRED`, `VAMP_BLUTDRUCK_SYS_WRONG_FORMAT`, `VAMP_BLUTDRUCK_SYS_INVALID`, `VAMP_BLUTDRUCK_DIA_REQUIRED`, `VAMP_BLUTDRUCK_DIA_WRONG_FORMAT`, `VAMP_BLUTDRUCK_DIA_INVALID`, `VAMP_BLUTDRUCK_BEURTEILUNG_REQUIRED`, `VAMP_BLUTDRUCK_BEURTEILUNG_INVALID`, `VAMP_BESTEHENDE_HYPERTONIE_REQUIRED`, `VAMP_BESTEHENDE_HYPERTONIE_INVALID`, `VAMP_HYPERTONIE_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_HYPERTONIE_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_BESTEHENDE_KARDIO_ERKRANKUNG_REQUIRED`, `VAMP_BESTEHENDE_KARDIO_ERKRANKUNG_INVALID`, `VAMP_KARDIO_NEUE_VERDACHTSDIAGNOSE_REQUIRED`, `VAMP_KARDIO_NEUE_VERDACHTSDIAGNOSE_INVALID`, `VAMP_KARDIO_BEFUNDBESPRECHUNG_REQUIRED`, `VAMP_KARDIO_BEFUNDBESPRECHUNG_INVALID`, `VAMP_KARDIO_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_KARDIO_WEITERE_ABKLAERUNG_INVALID`, `VAMP_KARDIO_THERAPIEFORTSETZUNG_AENDERUNG_REQUIRED`, `VAMP_KARDIO_THERAPIEFORTSETZUNG_AENDERUNG_INVALID`, `VAMP_KARDIO_SONSTIGE_MASSNAHME_INVALID`, `VAMP_KARDIO_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_KARDIO_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_KARDIO_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_MELANOM_REQUIRED`, `VAMP_MELANOM_INVALID`, `VAMP_VORBEFUNDUNG_KREBS_HAUT_REQUIRED`, `VAMP_VORBEFUNDUNG_KREBS_HAUT_INVALID`, `VAMP_AUFFAELLIGKEITEN_KREBS_HAUT_PROBANDIN_REQUIRED`, `VAMP_AUFFAELLIGKEITEN_KREBS_HAUT_PROBANDIN_INVALID`, `VAMP_AUFFAELLIGKEITEN_KREBS_HAUT_UNTERSUCHUNG_REQUIRED`, `VAMP_AUFFAELLIGKEITEN_KREBS_HAUT_UNTERSUCHUNG_INVALID`, `VAMP_SELBSTBEOBACHTUNG_KREBS_HAUT_REQUIRED`, `VAMP_SELBSTBEOBACHTUNG_KREBS_HAUT_INVALID`, `VAMP_KREBS_HAUT_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_KREBS_HAUT_WEITERE_ABKLAERUNG_INVALID`, `VAMP_KREBS_HAUT_SONSTIGE_MASSNAHME_INVALID`, `VAMP_KREBS_HAUT_SONSTIGE_MASSNAHME_TEXT_REQUIRED`, `VAMP_KREBS_HAUT_SONSTIGE_MASSNAHME_TEXT_WRONG_FORMAT`, `VAMP_KREBS_HAUT_SONSTIGE_MASSNAHME_TEXT_FORBIDDEN`, `VAMP_PROSTATABERATUNG_REQUIRED`, `VAMP_PROSTATABERATUNG_INVALID`, `VAMP_PROSTATABERATUNG_FORBIDDEN`, `VAMP_FAMILIAERE_BELASTUNG_KOLONKARZINOM_REQUIRED`, `VAMP_FAMILIAERE_BELASTUNG_KOLONKARZINOM_INVALID`, `VAMP_FAMILIAERE_BELASTUNG_KOLONKARZINOM_FORBIDDEN`, `VAMP_KOLONKARZINOM_WEITERE_ABKLAERUNG_REQUIRED`, `VAMP_KOLONKARZINOM_WEITERE_ABKLAERUNG_INVALID`, `VAMP_KOLONKARZINOM_WEITERE_ABKLAERUNG_FORBIDDEN`, `VAMP_FAMILIAERE_BELASTUNG_KOLOSKOPIE_REQUIRED`, `VAMP_FAMILIAERE_BELASTUNG_KOLOSKOPIE_INVALID`, `VAMP_FAMILIAERE_BELASTUNG_KOLOSKOPIE_FORBIDDEN`, `VAMP_LETZTE_KOLOSKOPIE_REQUIRED`, `VAMP_LETZTE_KOLOSKOPIE_INVALID`, `VAMP_LETZTE_KOLOSKOPIE_FORBIDDEN`, `VAMP_OKKULTES_BLUT_REQUIRED`, `VAMP_OKKULTES_BLUT_INVALID`, `VAMP_OKKULTES_BLUT_FORBIDDEN`, `VAMP_BERATUNG_KOLOSKOPIE_REQUIRED`, `VAMP_BERATUNG_KOLOSKOPIE_INVALID`, `VAMP_BERATUNG_KOLOSKOPIE_FORBIDDEN`, `VAMP_UEBERWEISUNG_KOLOSKOPIE_REQUIRED`, `VAMP_UEBERWEISUNG_KOLOSKOPIE_INVALID`, `VAMP_UEBERWEISUNG_KOLOSKOPIE_FORBIDDEN`, `VAMP_PAP_ABSTRICH_REQUIRED`, `VAMP_PAP_ABSTRICH_INVALID`, `VAMP_PAP_ABSTRICH_FORBIDDEN`, `VAMP_BERATUNG_PAP_ABSTRICH_REQUIRED`, `VAMP_BERATUNG_PAP_ABSTRICH_INVALID`, `VAMP_BERATUNG_PAP_ABSTRICH_FORBIDDEN`, `VAMP_UEBERWEISUNG_PAP_REQUIRED`, `VAMP_UEBERWEISUNG_PAP_INVALID`, `VAMP_UEBERWEISUNG_PAP_FORBIDDEN`, `VAMP_BEREITS_BEKANNTE_ERKRANKUNGEN_WRONG_FORMAT`, `VAMP_VERDACHT_GESUNDHEITSPROBLEME_ERKRANKUNGEN_WRONG_FORMAT`, `VAMP_WEITERE_ANMERKUNGEN_WRONG_FORMAT`, `VAMP_ABSCHLUSSGESPRAECH_REQUIRED`, `VAMP_ABSCHLUSSGESPRAECH_INVALID`, `SV_NUMMER_INVALID`, `SVNR_MISSING_NO_ECARD`, `DATENBLATT_VERSIONSNUMMER_REQUIRED`, `DATENBLATT_VERSIONSNUMMER_INVALID`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_WRONG_FORMAT`, `GEBURTSDATUM_INVALID`, `GEBURTSDATUM_INVALID2`
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### createDatenblattPapAbstrich

          Quittung createDatenblattPapAbstrich(String dialogId,
                                               String cardToken,
                                               DatenblattPapAbstrich datenblattPapAbstrich)
                                        throws AccessException,
                                               DialogException,
                                               ServiceException,
                                               DbasException,
                                               DbasEncryptionException,
                                               DbasInvalidParameterException

      Mit dieser Funktion wird das Datenblatt 'Dokumentationsblatt PAP-Abstrich', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        `datenblattPapAbstrich` - Daten des zu übertragenden Datenblattes 'Dokumentationsblatt PAP-Abstrich'
      Returns:
        Empfangsbestätigung der erfolgreichen Übertragung.
      Throws:
        `DbasException` - `KONSULTATION_INVALID`, `CREATE_ABRECHNUNG_DATA_FAILED`, `INVALID_VSNR`, `NO_KEYS_FOUND`, `INVALID_KONSULTATION`, `INTERNAL_ERROR`, `CREATE_QUITTUNG_FAILED`
        `DbasEncryptionException` - `ENCRYPTION_ERROR`
        `DbasInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `DOKUMENT_FOR_SV_PERSON_INVALID`, `SV_NUMMER_INVALID` `DATENBLATT_PAP_ABSTRICH_REQUIRED`, `PAP_ANSCHRIFT_REQUIRED`, `PAP_ANSCHRIFT_WRONG_FORMAT`, `PAP_POSTLEITZAHL_REQUIRED`, `PAP_POSTLEITZAHL_WRONG_FORMAT`, `PAP_AUFKLAERUNG_REQUIRED`, `PAP_AUFKLAERUNG_INVALID`, `PAP_QUALITAET_REQUIRED`, `PAP_QUALITAET_INVALID`, `PAP_BEURTEILUNG_REQUIRED`, `PAP_BEURTEILUNG_INVALID`, `PAP_ABSTRICHWIEDERHOLUNG_REQUIRED`, `PAP_ABSTRICHWIEDERHOLUNG_INVALID`, `PAP_PAP_KLASSE_REQUIRED`, `PAP_PAP_KLASSE_INVALID`, `PAP_MASSNAHME_REQUIRED`, `PAP_MASSNAHME_INVALID`, `PAP_BEFUND_REQUIRED`, `PAP_BEFUND_INVALID`, `PAP_ERGEBNISINFORMATION_REQUIRED`, `PAP_ERGEBNISINFORMATION_INVALID`, `PAP_AUFFAELLIGKEITEN_WRONG_FORMAT`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_WRONG_FORMAT`, `GEBURTSDATUM_INVALID`, `GEBURTSDATUM_INVALID2`, `DATENBLATT_VERSIONSNUMMER_REQUIRED`, `DATENBLATT_VERSIONSNUMMER_INVALID`
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### createDatenblattKoloskopie

          Quittung createDatenblattKoloskopie(String dialogId,
                                              String cardToken,
                                              DatenblattKoloskopie datenblattKoloskopie)
                                       throws AccessException,
                                              DialogException,
                                              ServiceException,
                                              DbasException,
                                              DbasEncryptionException,
                                              DbasInvalidParameterException

      Mit dieser Funktion wird das Datenblatt 'Befundblatt Koloskopie', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        `datenblattKoloskopie` - Daten des zu übertragenden Datenblattes 'Befundblatt Koloskopie'
      Returns:
        Empfangsbestätigung der erfolgreichen Übertragung.
      Throws:
        `DbasException` - `KONSULTATION_INVALID`, `INVALID_VSNR`, `NO_KEYS_FOUND`, `INVALID_KONSULTATION`, `INTERNAL_ERROR`, `CREATE_QUITTUNG_FAILED`
        `DbasEncryptionException` - `ENCRYPTION_ERROR`
        `DbasInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `DATENBLATT_KOLOSKOPIE_REQUIRED`, `KOL_POSTLEITZAHL_REQUIRED`, `KOL_POSTLEITZAHL_WRONG_FORMAT`, `KOL_ORT_WRONG_FORMAT`, `KOL_KOMMENTAR_WRONG_FORMAT`, `KOL_SEDIERUNG_ANALGESIE_REQUIRED`, `KOL_SEDIERUNG_ANALGESIE_INVALID`, `KOL_ZOEKUM_ERREICHT_REQUIRED`, `KOL_ZOEKUM_ERREICHT_INVALID`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_REQUIRED`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_INVALID`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_FORBIDDEN`, `KOL_MAKROSKOPISCHER_BEFUND_REQUIRED`, `KOL_MAKROSKOPISCHER_BEFUND_INVALID`, `KOL_MAKROSKOPISCHER_BEFUND_INVALID2`, `KOL_INTERVENTIONSPFLICHTIG_REQUIRED`, `KOL_INTERVENTIONSPFLICHTIG_INVALID`, `KOL_INTER_KOMPLIKATION_JA_REQUIRED`, `KOL_INTER_KOMPLIKATION_JA_INVALID`, `KOL_INTER_KOMPLIKATION_JA_FORBIDDEN`, `KOL_BEHANDLUNG_REQUIRED`, `KOL_BEHANDLUNG_INVALID`, `KOL_BEHANDLUNG_FORBIDDEN`, `KOL_AUSGANG_REQUIRED`, `KOL_AUSGANG_INVALID`, `KOL_AUSGANG_FORBIDDEN`, `KOL_ANZAHL_FORM_GROESSE_LOKALISATON_REQUIRED`, `KOL_ANZAHL_REQUIRED`, `KOL_ANZAHL_WRONG_FORMAT`, `KOL_ANZAHL_INVALID`, `KOL_ANZAHL_FORBIDDEN2`, `KOL_FORM_REQUIRED`, `KOL_FORM_INVALID`, `KOL_GROESSE_REQUIRED`, `KOL_GROESSE_INVALID`, `KOL_LOKALISATION_REQUIRED`, `KOL_LOKALISATION_INVALID`, `KOL_POLYPEKTOMIE_REQUIRED`, `KOL_POLYPEKTOMIE_INVALID`, `KOL_ZANGENABTRAGUNG_REQUIRED`, `KOL_ZANGENABTRAGUNG_INVALID`, `KOL_POLYP_ENTFERNT_REQUIRED2`, `KOL_POLYP_ENTFERNT_INVALID`, `KOL_POLYP_ENTFERNT_FORBIDDEN3`, `KOL_POLYP_GEBORGEN_REQUIRED2`, `KOL_POLYP_GEBORGEN_INVALID`, `KOL_POLYP_GEBORGEN_FORBIDDEN3`, `KOL_BIOPSIE_ENTNOMMEN_REQUIRED2`, `KOL_BIOPSIE_ENTNOMMEN_INVALID`, `KOL_HISTOLOGISCHER_BEFUND_REQUIRED`, `KOL_POLYP_INVALID`, `KOL_POLYP_FORBIDDEN3`, `KOL_POLYP_FORBIDDEN4`, `KOL_ADENOM_INVALID`, `KOL_ADENOM_FORBIDDEN3`, `KOL_ADENOM_FORBIDDEN4`, `KOL_ADENOM_ENTFERNT_REQUIRED`, `KOL_ADENOM_ENTFERNT_INVALID`, `KOL_ADENOM_ENTFERNT_FORBIDDEN3`, `KOL_ADENOM_ENTFERNT_FORBIDDEN4`, `KOL_HISTOKARZINOM_INVALID`, `KOL_HISTOKARZINOM_FORBIDDEN3`, `KOL_HISTOKARZINOM_FORBIDDEN4`, `KOL_KARZINOM_ENTFERNT_REQUIRED`, `KOL_KARZINOM_ENTFERNT_INVALID`, `KOL_KARZINOM_ENTFERNT_FORBIDDEN3`, `KOL_KARZINOM_ENTFERNT_FORBIDDEN4`, `KOL_SONSTIGES_INVALID`, `KOL_SONSTIGES_FORBIDDEN3`, `KOL_SONSTIGES_FORBIDDEN4`, `KOL_DIAGNOSE_REQUIRED`, `KOL_DIAGNOSE_INVALID`, `KOL_DIAGNOSE_INVALID2`, `KOL_DIAGNOSE_INVALID3`, `KOL_PATIENTENKONTAKT_VERLOREN_REQUIRED`, `KOL_PATIENTENKONTAKT_VERLOREN_INVALID`, `KOL_MASSNAHMEN_REQUIRED`, `KOL_MASSNAHMEN_INVALID`, `KOL_MASSNAHMEN_FORBIDDEN`, `KOL_POLYPENABTRAGUNG_REQUIRED`, `KOL_POLYPENABTRAGUNG_INVALID`, `KOL_POLYPENABTRAGUNG_FORBIDDEN`, `KOL_POLYPENABTRAGUNG_FORBIDDEN2`, `KOL_KONTROLLE_MONATE_REQUIRED`, `KOL_KONTROLLE_MONATE_WRONG_FORMAT`, `KOL_KONTROLLE_MONATE_FORBIDDEN`, `KOL_KONTROLLE_MONATE_NOT_ALLOWED3`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_WRONG_FORMAT`, `GEBURTSDATUM_INVALID`, `GEBURTSDATUM_INVALID2`, `DATENBLATT_VERSIONSNUMMER_REQUIRED`, `DATENBLATT_VERSIONSNUMMER_INVALID`, `KOL_DYSPLASIE_REQUIRED`, `KOL_DYSPLASIE_INVALID`, `KOL_DYSPLASIE_FORBIDDEN`, `KOL_VORBEREITUNGSQUALITAET_REQUIRED`, `KOL_VORBEREITUNGSQUALITAET_INVALID`, `KOL_PATIENTENZUSTIMMUNG_REQUIRED`, `KOL_PATIENTENZUSTIMMUNG_INVALID`, `KOL_PATIENTENZUSTIMMUNG_FORBIDDEN`, `KOL_UNTERSUCHUNG_REQUIRED`, `KOL_UNTERSUCHUNG_INVALID`, `KOL_ANZAHL_ADENOME_REQUIRED`, `KOL_ANZAHL_ADENOME_WRONG_FORMAT`, `KOL_ANZAHL_ADENOME_INVALID`, `KOL_ANZAHL_ADENOME_FORBIDDEN`, `KOL_LOKALISATION_ADENOME_REQUIRED`, `KOL_LOKALISATION_ADENOME_INVALID`, `KOL_LOKALISATION_ADENOME_FORBIDDEN`, `KOL_UNTERSUCHUNGSERGEBNISSE_REQUIRED`, `KOL_UNTERSUCHUNGSERGEBNISSE_FORBIDDEN`
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### createDatenblattQZKoloskopie

          Quittung createDatenblattQZKoloskopie(String dialogId,
                                                String cardToken,
                                                DatenblattKoloskopie datenblattKoloskopie,
                                                String untersuchungsdatum,
                                                Boolean forcedQZ)
                                         throws AccessException,
                                                DialogException,
                                                ServiceException,
                                                DbasException,
                                                DbasEncryptionException,
                                                DbasInvalidParameterException

      Mit dieser Funktion wird das Datenblatt 'Qualitätszertifikat Koloskopie', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).
      - Berechtigung eine 'Qualitätszertifikat Koloskopie' zu erstellen (siehe `DBAS_QZK`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        `datenblattKoloskopie` - Koloskopie-Daten des zu übertragenden Datenblattes 'Qualitätszertifikat Koloskopie'
        `untersuchungsdatum` - Untersuchungsdatum, darf nicht in der zukunft oder vor dem Geburtsdatum liegen.
        `forcedQZ` - true: es findet keine Prüfung auf vorhandene VK-Konsultationen statt false: es findet eine Prüfung auf vorhandene VK-Konsultationen statt
      Returns:
        Empfangsbestätigung der erfolgreichen Übertragung.
      Throws:
        `DbasException` - `KONSULTATION_INVALID`, `INVALID_VSNR`, `NO_KEYS_FOUND`, `INVALID_KONSULTATION`, `INTERNAL_ERROR`, `CREATE_QUITTUNG_FAILED`, `MATCHING_KONSULTATION_FOUND`
        `DbasEncryptionException` - `ENCRYPTION_ERROR`
        `DbasInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `DATENBLATT_KOLOSKOPIE_REQUIRED`, `KOL_POSTLEITZAHL_REQUIRED`, `KOL_POSTLEITZAHL_WRONG_FORMAT`, `KOL_ORT_WRONG_FORMAT`, `KOL_KOMMENTAR_WRONG_FORMAT`, `KOL_SEDIERUNG_ANALGESIE_REQUIRED`, `KOL_SEDIERUNG_ANALGESIE_INVALID`, `KOL_ZOEKUM_ERREICHT_REQUIRED`, `KOL_ZOEKUM_ERREICHT_INVALID`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_REQUIRED`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_INVALID`, `KOL_GRUND_UNVOLLSTAENDIGE_KOLO_FORBIDDEN`, `KOL_MAKROSKOPISCHER_BEFUND_REQUIRED`, `KOL_MAKROSKOPISCHER_BEFUND_INVALID`, `KOL_MAKROSKOPISCHER_BEFUND_INVALID2`, `KOL_INTERVENTIONSPFLICHTIG_REQUIRED`, `KOL_INTERVENTIONSPFLICHTIG_INVALID`, `KOL_INTER_KOMPLIKATION_JA_REQUIRED`, `KOL_INTER_KOMPLIKATION_JA_INVALID`, `KOL_INTER_KOMPLIKATION_JA_FORBIDDEN`, `KOL_BEHANDLUNG_REQUIRED`, `KOL_BEHANDLUNG_INVALID`, `KOL_BEHANDLUNG_FORBIDDEN`, `KOL_AUSGANG_REQUIRED`, `KOL_AUSGANG_INVALID`, `KOL_AUSGANG_FORBIDDEN`, `KOL_ANZAHL_FORM_GROESSE_LOKALISATON_REQUIRED`, `KOL_ANZAHL_REQUIRED`, `KOL_ANZAHL_INVALID`, `KOL_ANZAHL_FORBIDDEN2`, `KOL_FORM_REQUIRED`, `KOL_FORM_INVALID`, `KOL_GROESSE_REQUIRED`, `KOL_GROESSE_INVALID`, `KOL_LOKALISATION_REQUIRED`, `KOL_LOKALISATION_INVALID`, `KOL_POLYPEKTOMIE_REQUIRED`, `KOL_POLYPEKTOMIE_INVALID`, `KOL_ZANGENABTRAGUNG_REQUIRED`, `KOL_ZANGENABTRAGUNG_INVALID`, `KOL_POLYP_ENTFERNT_REQUIRED2`, `KOL_POLYP_ENTFERNT_INVALID`, `KOL_POLYP_ENTFERNT_FORBIDDEN3`, `KOL_POLYP_GEBORGEN_REQUIRED2`, `KOL_POLYP_GEBORGEN_INVALID`, `KOL_POLYP_GEBORGEN_FORBIDDEN3`, `KOL_BIOPSIE_ENTNOMMEN_REQUIRED2`, `KOL_BIOPSIE_ENTNOMMEN_INVALID`, `KOL_HISTOLOGISCHER_BEFUND_REQUIRED`, `KOL_POLYP_INVALID`, `KOL_POLYP_FORBIDDEN3`, `KOL_POLYP_FORBIDDEN4`, `KOL_ADENOM_INVALID`, `KOL_ADENOM_FORBIDDEN3`, `KOL_ADENOM_FORBIDDEN4`, `KOL_ADENOM_ENTFERNT_REQUIRED`, `KOL_ADENOM_ENTFERNT_INVALID`, `KOL_ADENOM_ENTFERNT_FORBIDDEN3`, `KOL_ADENOM_ENTFERNT_FORBIDDEN4`, `KOL_HISTOKARZINOM_INVALID`, `KOL_HISTOKARZINOM_FORBIDDEN3`, `KOL_HISTOKARZINOM_FORBIDDEN4`, `KOL_KARZINOM_ENTFERNT_REQUIRED`, `KOL_KARZINOM_ENTFERNT_INVALID`, `KOL_KARZINOM_ENTFERNT_FORBIDDEN3`, `KOL_KARZINOM_ENTFERNT_FORBIDDEN4`, `KOL_SONSTIGES_INVALID`, `KOL_SONSTIGES_FORBIDDEN3`, `KOL_SONSTIGES_FORBIDDEN4`, `KOL_DIAGNOSE_REQUIRED`, `KOL_DIAGNOSE_INVALID`, `KOL_DIAGNOSE_INVALID2`, `KOL_DIAGNOSE_INVALID3`, `KOL_PATIENTENKONTAKT_VERLOREN_REQUIRED`, `KOL_PATIENTENKONTAKT_VERLOREN_INVALID`, `KOL_MASSNAHMEN_REQUIRED`, `KOL_MASSNAHMEN_INVALID`, `KOL_MASSNAHMEN_FORBIDDEN`, `KOL_POLYPENABTRAGUNG_REQUIRED`, `KOL_POLYPENABTRAGUNG_INVALID`, `KOL_POLYPENABTRAGUNG_FORBIDDEN`, `KOL_POLYPENABTRAGUNG_FORBIDDEN2`, `KOL_KONTROLLE_MONATE_REQUIRED`, `KOL_KONTROLLE_MONATE_WRONG_FORMAT`, `KOL_KONTROLLE_MONATE_FORBIDDEN`, `KOL_KONTROLLE_MONATE_NOT_ALLOWED3`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_WRONG_FORMAT`, `GEBURTSDATUM_INVALID2`, `GEBURTSDATUM_INVALID4`, `DATENBLATT_VERSIONSNUMMER_REQUIRED`, `DATENBLATT_VERSIONSNUMMER_INVALID`, `KOL_DYSPLASIE_REQUIRED`, `KOL_DYSPLASIE_INVALID`, `KOL_DYSPLASIE_FORBIDDEN`, `KOL_VORBEREITUNGSQUALITAET_REQUIRED`, `KOL_VORBEREITUNGSQUALITAET_INVALID`, `KOL_PATIENTENZUSTIMMUNG_REQUIRED`, `KOL_PATIENTENZUSTIMMUNG_INVALID`, `KOL_PATIENTENZUSTIMMUNG_FORBIDDEN`, `KOL_UNTERSUCHUNG_REQUIRED`, `KOL_UNTERSUCHUNG_INVALID`, `KOL_ANZAHL_ADENOME_REQUIRED`, `KOL_ANZAHL_ADENOME_INVALID`, `KOL_ANZAHL_ADENOME_FORBIDDEN`, `KOL_LOKALISATION_ADENOME_REQUIRED`, `KOL_LOKALISATION_ADENOME_INVALID`, `KOL_LOKALISATION_ADENOME_FORBIDDEN`, `KOL_UNTERSUCHUNGSERGEBNISSE_REQUIRED`, `KOL_UNTERSUCHUNGSERGEBNISSE_FORBIDDEN`, `QZK_UNTERSUCHUNGSDATUM_REQUIRED`, `QZK_UNTERSUCHUNGSDATUM_WRONG_FORMAT`, `QZK_UNTERSUCHUNGSDATUM_INVALID`
        `AccessException` - `MISSING_DBAS_CORE`, `MISSING_DBAS_QZK`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### createDatenblattDmpDm2

          CreateDatenblattErgebnis createDatenblattDmpDm2(String dialogId,
                                                          String cardToken,
                                                          DatenblattDmpDm2 datenblattDmpDm2)
                                                   throws AccessException,
                                                          DialogException,
                                                          ServiceException,
                                                          DbasException,
                                                          DbasEncryptionException,
                                                          DbasInvalidParameterException

      Mit dieser Funktion wird das Datenblatt 'Dokumentationsbogen Therapie Aktiv DM2', nachdem dieses erfolgreich validiert wurde, verschlüsselt und an den Server übertragen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        `datenblattDmpDm2` - Daten des zu übertragenden Datenblattes 'Dokumentationsbogen Therapie Aktiv DM2'
      Returns:
        Empfangsbestätigung der erfolgreichen Übertragung inklusive Druckaufbereitung
      Throws:
        `DbasException` - `CREATE_ABRECHNUNG_DATA_FAILED`, `INVALID_VSNR`, `NO_KEYS_FOUND`, `PERSON_NOT_IN_DMP`, `INTERNAL_ERROR`, `CREATE_QUITTUNG_FAILED`, `BETREUUNG_INVALID`, `INVALID_BETREUUNG`
        `DbasEncryptionException` - `ENCRYPTION_ERROR`
        `DbasInvalidParameterException` - `DATENBLATT_DMP_DM2_REQUIRED`, `DMP_DATENBLATT_UNTERSUCHUNGSDATUM_REQUIRED`, `DMP_DATENBLATT_UNTERSUCHUNGSDATUM_WRONG_FORMAT`, `DMP_DATENBLATT_UNTERSUCHUNGSDATUM_INVALID`, `DM2_DIABETES_DIAGNOSE_JAHR_REQUIRED` , `DM2_DIABETES_DIAGNOSE_JAHR_WRONG_FORMAT` , `DM2_DIABETES_DIAGNOSE_JAHR_INVALID` , `DM2_HYPERTONIE_SEIT_JAHR_REQUIRED` , `DM2_HYPERTONIE_SEIT_JAHR_WRONG_FORMAT`, `DM2_HYPERTONIE_SEIT_JAHR_INVALID`, `DM2_BLINDHEIT_REQUIRED`, `DM2_BLINDHEIT_INVALID`, `DM2_TERMINALES_NIERENVERSAGEN_REQUIRED`, `DM2_TERMINALES_NIERENVERSAGEN_INVALID`, `DM2_HERZINFARKT_REQUIRED`, `DM2_HERZINFARKT_INVALID`, `DM2_HERZ_BYPASS_DILATATION_REQUIRED`, `DM2_HERZ_BYPASS_DILATATION_INVALID`, `DM2_APOPLEXIE_REQUIRED`, `DM2_APOPLEXIE_INVALID`, `DM2_AMPUTATION_REQUIRED`, `DM2_AMPUTATION_INVALID`, `DM2_NEUROPATHIE_REQUIRED`, `DM2_NEUROPATHIE_INVALID`, `DM2_ANGINA_PECTORIS_REQUIRED`, `DM2_ANGINA_PECTORIS_INVALID`, `DM2_CLAUDICATIO_REQUIRED`, `DM2_CLAUDICATIO_INVALID`, `DM2_TIAPRIND_REQUIRED`, `DM2_TIAPRIND_INVALID`, `DM2_SCHWERE_HYPOGLYKAEMIE_REQUIRED`, `DM2_SCHWERE_HYPOGLYKAEMIE_INVALID`, `DM2_EREKTILE_DYSFUNKTION_REQUIRED`, `DM2_EREKTILE_DYSFUNKTION_INVALID`, `DM2_EREKTILE_DYSFUNKTION_FORBIDDEN`, `DM2_HERZINSUFFIZIENZ_REQUIRED`, `DM2_HERZINSUFFIZIENZ_INVALID`, `DM2_KHK_REQUIRED`, `DM2_KHK_INVALID`, `DM2_DEPRESSION_REQUIRED`, `DM2_DEPRESSION_INVALID`, `DM2_PAVK_REQUIRED`, `DM2_PAVK_INVALID`, `DM2_PAVK_BYPASS_DILATATION_REQUIRED`, `DM2_PAVK_BYPASS_DILATATION_INVALID`, `DM2_INNERHALB12_MONATEN_REQUIRED`, `DM2_INNERHALB12_MONATEN_INVALID`, `DM2_FUSSDEFORMITAET_LINKS_REQUIRED`, `DM2_FUSSDEFORMITAET_LINKS_INVALID`, `DM2_FUSSDEFORMITAET_RECHTS_REQUIRED`, `DM2_FUSSDEFORMITAET_RECHTS_INVALID`, `DM2_PULS_TASTBAR_LINKS_REQUIRED`, `DM2_PULS_TASTBAR_LINKS_INVALID`, `DM2_PULS_TASTBAR_RECHTS_REQUIRED`, `DM2_PULS_TASTBAR_RECHTS_INVALID`, `DM2_ULKUS_LINKS_REQUIRED`, `DM2_ULKUS_LINKS_INVALID`, `DM2_ULKUS_RECHTS_REQUIRED`, `DM2_ULKUS_RECHTS_INVALID`, `DM2_VIBRATIONSEMPFINDEN_VERMINDERT_LINKS_REQUIRED`, `DM2_VIBRATIONSEMPFINDEN_VERMINDERT_LINKS_INVALID`, `DM2_VIBRATIONSEMPFINDEN_VERMINDERT_RECHTS_REQUIRED`, `DM2_VIBRATIONSEMPFINDEN_VERMINDERT_RECHTS_INVALID`, `DM2_RAUCHEN_JANEIN_REQUIRED`, `DM2_RAUCHEN_JANEIN_INVALID`, `DM2_RAUCHEN_JANEIN_INVALID2`, `DM2_EQ_5D_REQUIRED`, `DM2_EQ_5D_WRONG_FORMAT`, `DM2_EQ_5DVAS_REQUIRED`, `DM2_EQ_5DVAS_WRONG_FORMAT`, `DM2_EQ_5DVAS_INVALID`, `DM2_GEWICHT_REQUIRED`, `DM2_GEWICHT_WRONG_FORMAT`, `DM2_GEWICHT_INVALID`, `DM2_GROESSE_REQUIRED`, `DM2_GROESSE_WRONG_FORMAT`, `DM2_GROESSE_INVALID`, `DM2_RRSYS_RUHEMESSUNG_REQUIRED`, `DM2_RRSYS_RUHEMESSUNG_WRONG_FORMAT`, `DM2_RRSYS_RUHEMESSUNG_INVALID`, `DM2_RRSYS_RUHEMESSUNG_INVALID2`, `DM2_RRDIA_RUHEMESSUNG_REQUIRED`, `DM2_RRDIA_RUHEMESSUNG_WRONG_FORMAT`, `DM2_RRDIA_RUHEMESSUNG_INVALID`, `DM2_HBA_1C_HBA_1C_MOL_REQUIRED`, `DM2_HBA_1C_WRONG_FORMAT`, `DM2_HBA_1C_INVALID`, `DM2_KREATININ_REQUIRED`, `DM2_KREATININ_WRONG_FORMAT`, `DM2_KREATININ_INVALID`, `DM2_CHOLESTERIN_REQUIRED`, `DM2_CHOLESTERIN_WRONG_FORMAT`, `DM2_CHOLESTERIN_INVALID`, `DM2_HDL_CHOLESTERIN_REQUIRED`, `DM2_HDL_CHOLESTERIN_WRONG_FORMAT`, `DM2_HDL_CHOLESTERIN_INVALID`, `DM2_TRIGLYCERIDE_REQUIRED`, `DM2_TRIGLYCERIDE_WRONG_FORMAT`, `DM2_TRIGLYCERIDE_INVALID`, `DM2_EGFR_INVALID`, `DM2_EGFR_WRONG_FORMAT`, `DM2_ALBUMIN_KREATININ_QUOTIENT_INVALID`, `DM2_ALBUMIN_KREATININ_QUOTIENT_WRONG_FORMAT`, `DM2_ALBKREA_KLEINER_INVALID`, `DM2_ALBKREA_KLEINER_INVALID2`, `DM2_NUR_DIAET_REQUIRED`, `DM2_NUR_DIAET_INVALID`, `DM2_OAD_REQUIRED`, `DM2_OAD_INVALID`, `DM2_INSULIN_REQUIRED`, `DM2_INSULIN_INVALID`, `DM2_BLUTDRUCK_THERAPIE_REQUIRED`, `DM2_BLUTDRUCK_THERAPIE_INVALID`, `DM2_GEWICHT_ZIELVEREINBARUNG_REQUIRED`, `DM2_GEWICHT_ZIELVEREINBARUNG_INVALID`, `DM2_BEWEGUNG_REQUIRED`, `DM2_BEWEGUNG_INVALID`, `DM2_TABAK_REQUIRED`, `DM2_TABAK_INVALID`, `DM2_TABAK_INVALID2`, `DM2_ERNAEHRUNG_REQUIRED`, `DM2_ERNAEHRUNG_INVALID`, `DM2_BLUTDRUCK_ZIELVEREINBARUNG_REQUIRED`, `DM2_BLUTDRUCK_ZIELVEREINBARUNG_INVALID`, `DM2_KOMBITHERAPIE_REQUIRED`, `DM2_KOMBITHERAPIE_INVALID`, `DM2_BLUTFETTE_REQUIRED`, `DM2_BLUTFETTE_INVALID`, `DM2_HBA_1C_ZV_HBA_1C_MOL_ZV_REQUIRED`, `DM2_HBA_1C_ZIELVEREINBARUNG_WRONG_FORMAT`, `DM2_HBA_1C_ZIELVEREINBARUNG_INVALID`, `DM2_BLUTDRUCKMESSUNG_REQUIRED`, `DM2_BLUTDRUCKMESSUNG_INVALID`, `DM2_BLUTZUCKERMESSUNG_REQUIRED`, `DM2_BLUTZUCKERMESSUNG_INVALID`, `DM2_SCHULUNG_REQUIRED`, `DM2_SCHULUNG_INVALID`, `DM2_SCHULUNG_INVALID2`, `DM2_DIABETES_SCHULUNG_WANN_JAHR_REQUIRED`, `DM2_DIABETES_SCHULUNG_WANN_JAHR_WRONG_FORMAT`, `DM2_DIABETES_SCHULUNG_WANN_JAHR_INVALID`, `DM2_HBA_1C_MOL_WRONG_FORMAT`, `DM2_HBA_1C_MOL_INVALID`, `DM2_HBA_1C_MOL_ZIELVEREINBARUNG_WRONG_FORMAT`, `DM2_HBA_1C_MOL_ZIELVEREINBARUNG_INVALID`, `SV_NUMMER_INVALID`, `SVNR_MISSING_NO_ECARD`, `DATENBLATT_VERSIONSNUMMER_REQUIRED`, `DATENBLATT_VERSIONSNUMMER_INVALID`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_WRONG_FORMAT`, `GEBURTSDATUM_INVALID2`, `GEBURTSDATUM_INVALID3`
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### searchQuittungen

          Quittung[] searchQuittungen(String dialogId,
                                      QuittungSearchCriteria suchkriterien)
                               throws AccessException,
                                      DialogException,
                                      ServiceException,
                                      DbasException,
                                      DbasInvalidParameterException

      Mit dieser Funktion werden die Empfangsbestätigungen übertragener Datenblätter, die die Suchkriterien erfüllen, vom Server abgeholt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DBAS (siehe `DBAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `suchkriterien` - Suchkriterien zur Einschränkung des Ergebnisses.
      Returns:
        Liste der gefundenen Empfangsbestätigungen übertragener Datenblätter
      Throws:
        `DbasException` - `MAX_RESULTS_EXCEEDED`, `INTERNAL_ERROR`
        `DbasInvalidParameterException` - `DATENBLATT_TYP_INVALID`, `SV_NUMMER_INVALID`, `VON_DATUM_WRONG_FORMAT`, `BIS_DATUM_WRONG_FORMAT`, `VON_DATUM_VOR_BIS_DATUM`, `SVT_INVALID`, `SUCHKRITERIEN_REQUIRED`
        `AccessException` - `MISSING_DBAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`